BUCS WEDNESDAY NOVEMBER 2, 2016 • round 5
support #BUCSSuperRugby • all free to see men's super rugby
Leeds Beckett University RFC vs University of Exeter RFC 1430
Hartpury College RFRC vs Northumbria University RFC 1800
University of Bath RFC vs Durham University RFC 1830
Loughborough University RFC vs Cardiff Metropolitan RFC 1900
• see latest BUCS rugby results
University of Bath RFC play at Sulis Club Claverton Down BATH BA2 7AU
Cardiff Metropolitan RFC play at Rugby 1, UWIC Cyncoed Campus, Cyncoed Road CF23 6XD
UWE Hartpury College RFC play at Hartpury College Stadium Hartpury House GLOUCESTER GL19 3BE
University of Exeter RFC play at Topsham Sports Ground Exeter Road EX3 0LY
• kindly confirm kick off times, venues, errors or postponements via twitter @swsportsnews from official accounts





